All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
AbstractQoreProgramExternalData Class Referenceabstract

an abstract class for program-specific external data More...

`#include <QoreProgram.h>`

## Public Member Functions

virtual AbstractQoreProgramExternalData * | copy (QoreProgram *pgm) const =0
| for reference-counted classes, returns the same object with the reference count incremented More...
virtual void | doDeref ()=0
| for non-reference counted classes, deletes the object immediately

## Detailed Description

an abstract class for program-specific external data

This class can be used by binary modules to store custom data in a QoreProgram object

See Also
  - QoreProgram::getExternalData()
  - QoreProgram::setExternalData()

Since
  Qore 0.8.13

## Member Function Documentation

virtual AbstractQoreProgramExternalData* AbstractQoreProgramExternalData::copy | ( | QoreProgram * | pgm | ) | const

pure virtual

for reference-counted classes, returns the same object with the reference count incremented

This function is called for external data when a new program object is created that inherits the configuration of the parent. The call is made after the child program has been completely set up.

Parameters

  pgm | the new (child) QoreProgram object after setup

The documentation for this class was generated from the following file:

- include/qore/QoreProgram.h (79e5dd4f976dab9d74ec8272aec97c21df86c597)